'use strict';

const mergeObjects = require('./mergeObjects');

exports.mergeObjects = mergeObjects;

exports.renameEslintConfig = require('./renameEslintConfig');

exports.modifyAppPackageJson = ({ appPackage, templatePackage }) => {
  appPackage.devDependencies = mergeObjects(
    appPackage.devDependencies,
    templatePackage.devDependencies
  );

  // eslint config is defined in separe file
  delete appPackage.eslintConfig;
};

exports.updateTemplatePackageBlacklist = (backlist = []) => {
  const removeKeysFromBlacklist = ['devDependencies'];

  for (const key of removeKeysFromBlacklist) {
    const index = backlist.indexOf(key);
    if (index >= 0) {
      backlist.splice(index, 1);
    }
  }
};

exports.updateTemplatePackageToMerge = (toMerge = []) => {
  const addKeysToMerge = ['devDependencies'];

  toMerge.push(...addKeysToMerge);
};

exports.applyOptionalModulesResolutions = require('./optional-modules/applyResolutions');
