'use strict';

/**
 * get content that is outside of e.g. `@use-auth-module-begin` and `@use-auth-module-end` comments
 * @param {Object} blockMarkers
 *  @param {RegExp} blockMarkers.begin
 *  @param {RegExp} blockMarkers.beginOrEnd
 *  @param {RegExp} blockMarkers.end
 * @param {String} content
 * @returns {String}
 */
function getUnmarkFileContent(blockMarkers, content = '') {
  const rows = content.split('\n');
  const enabledRows = [];
  let withinRemovableBlock = false;

  for (const row of rows) {
    if (row.match(blockMarkers.beginOrEnd) || withinRemovableBlock) {
      if (row.match(blockMarkers.begin)) {
        withinRemovableBlock = true;
      }
      if (row.match(blockMarkers.end)) {
        withinRemovableBlock = false;
      }
    } else {
      enabledRows.push(row);
    }
  }

  return enabledRows.join('\n');
}

module.exports = getUnmarkFileContent;
