'use strict';

const fs = require('fs-extra');

async function getExistingFiles(paths = []) {
  const results = await Promise.all(paths.map(path => fs.pathExists(path)));
  const existingPaths = [];
  const nonExistingPaths = [];

  results.forEach((pathExists, index) => {
    if (pathExists) {
      existingPaths.push(paths[index]);
    } else {
      nonExistingPaths.push(paths[index]);
    }
  });

  return { existingPaths, nonExistingPaths };
}

module.exports = getExistingFiles;
