'use strict';

/**
 * @param {import('./OptionalModule/OptionalModule')} optionalModule
 */
async function processOptionaModuleHooks(optionalModule) {
  await optionalModule.resolveDependencies();

  if (optionalModule.useModule) {
    await optionalModule.removeComments();
  } else {
    await Promise.all([
      optionalModule.transformPackageJson(),
      optionalModule.removeDirectories(),
      optionalModule.processFilesContent(),
    ]);
  }
}

module.exports = processOptionaModuleHooks;
