'use strict';

const prettier = require('prettier');

async function createPrettierFormatter(prettierConfigPath) {
  const options = await prettier.resolveConfig(prettierConfigPath);

  if (!options) {
    throw new Error(
      `Prettier config couldn't be resolved: '${prettierConfigPath}'.`
    );
  }

  /**
   * @param {string} content
   * @param {string} fileSuffix
   */
  function prettierFormatter(content, fileSuffix) {
    if (fileSuffix === 'ts' || fileSuffix === 'tsx') {
      return prettier.format(content, {
        parser: 'typescript',
        ...options,
      });
    }

    return content;
  }

  return prettierFormatter;
}

module.exports = createPrettierFormatter;
